package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsCity;
import com.fs.his.vo.CitysAreaVO;

/**
 * 城市Service接口
 *
 * @author fs
 * @date 2023-06-02
 */
public interface IFsCityService
{
    /**
     * 查询城市
     *
     * @param id 城市主键
     * @return 城市
     */
    public FsCity selectFsCityById(Long id);

    /**
     * 查询城市列表
     *
     * @param fsCity 城市
     * @return 城市集合
     */
    public List<FsCity> selectFsCityList(FsCity fsCity);

    /**
     * 新增城市
     *
     * @param fsCity 城市
     * @return 结果
     */
    public int insertFsCity(FsCity fsCity);

    /**
     * 修改城市
     *
     * @param fsCity 城市
     * @return 结果
     */
    public int updateFsCity(FsCity fsCity);

    /**
     * 批量删除城市
     *
     * @param ids 需要删除的城市主键集合
     * @return 结果
     */
    public int deleteFsCityByIds(Long[] ids);

    /**
     * 删除城市信息
     *
     * @param id 城市主键
     * @return 结果
     */
    public int deleteFsCityById(Long id);




    List<FsCity> selectFsCity();

    List<CitysAreaVO> getCitysArea();

}
